function objetoAjax(){
	var xmlhttp=false;
	try {
		xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
	} catch (e) {
		try {
		   xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		} catch (E) {
			xmlhttp = false;
  		}
	}

	if (!xmlhttp && typeof XMLHttpRequest!='undefined') {
		xmlhttp = new XMLHttpRequest();
	}
	return xmlhttp;
}

function validarAdministrador()
{
	divResultado =document.getElementById('mensajes');
	var usuario= $('#user-name').val();
	usuario=usuario.replace(/[&/\#,+()--$.'""':?<>{}]/g,'_');
	var password= $('#password').val();
	password=password.replace(/[&/\#,+()--$.'""':?<>{}]/g,'_');
	
		var op=1;
		ajax=objetoAjax();
		ajax.open("POST", "procesos.php",true);

		ajax.onreadystatechange=function()
		 {
			if (ajax.readyState==4)
			   {   
                 
				 if(ajax.responseText==1)
					{	
					  $(location).attr('href','principal.php');				 					    
					}
					
					if(ajax.responseText==2)
					{	
					  $('#mensajes').fadeIn(1000);
						divResultado.innerHTML="Docente no Registrado...";				 					    
					}		
                  //divResultado.innerHTML=ajax.responseText;
				}
				
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  ajax.send("opcion="+op+"&usuario="+usuario+"&password="+password)	 
}


function actualizarDatosPersonales()
{
	divResultado =document.getElementById('mensajes1');
    var Id1= $("#Id1").val();
    var nombres= $("#txt_nombres").val();
    var apellidos= $("#txt_apellidos").val();
	var celular= $("#txt_celular").val();
	var email= $("#txt_email").val();
	var op=3;
			ajax=objetoAjax();
			$('#mensajes1').fadeIn(1000);
			divResultado.innerHTML='<div class="text-primary f-24"><i class="feather icon-loader rotate-refresh"></i></div>';
			ajax.open("POST", "procesos.php", true);
			$('#bt_actualizar_personal').attr("disabled", true);
			ajax.onreadystatechange=function() {		
				if (ajax.readyState==4) 
				{
                       //divResultado.innerHTML=ajax.responseText;
					if(ajax.responseText==1)
					{
						//divResultado.innerHTML=ajax.responseText;
						var mensaje="Datos Personales actualizado...";
						notify('top','right','fa fa-check-circle','primary','data-animation-in','data-animation-out',mensaje);
						$('#bt_actualizar_personal').attr("disabled", false);
						$('#mensajes1').fadeOut(1000);
					}
					else
					{
						var mensaje=ajax.responseText;
						notify('top','right','fa fa-times-circle','danger','data-animation-in','data-animation-out',mensaje);
						$('#bt_actualizar_personal').attr("disabled", false);
						$('#mensajes1').fadeOut(1000);
					}	
							     	
				}
			}
			ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			ajax.send("opcion="+op+"&Id1="+Id1+"&celular="+celular+"&email="+email+"&nombres="+nombres+"&apellidos="+apellidos)						
}


function cambiarClave()
{
	divResultado =document.getElementById('mensajes2');
    var id= $("#Id2").val();
	var usuario= $("#txt_usuario").val();
	var clave= $("#txt_cambiar_clave").val();
	
	var op=8;
			ajax=objetoAjax();
			$('#mensajes2').fadeIn(1000);
			divResultado.innerHTML='<div class="text-primary f-24"><i class="feather icon-loader rotate-refresh"></i></div>';
			ajax.open("POST", "procesos.php", true);
			$("#bt_cambiar_clave").attr("disabled", true);
			ajax.onreadystatechange=function() {		
				if (ajax.readyState==4) 
				{
					if(ajax.responseText==1)
					{
						var mensaje="Contrase&#241;a Actualizada...";
						notify('top','right','fa fa-check-circle','primary','data-animation-in','data-animation-out',mensaje);
						$('#mensajes2').fadeOut(1000);
						
						$("#txt_cambiar_clave").val('');
					}
					else
					{
						var mensaje=ajax.responseText;
						notify('top','right','fa fa-times-circle','danger','data-animation-in','data-animation-out',mensaje);
					}	
							     	
				}
			}
			ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			ajax.send("opcion="+op+"&id="+id+"&usuario="+usuario+"&clave="+clave)
			
}
function registrarConvocatoria()
{		
            var op=39;
            var titulo=$("#txt_titulo").val();
            var entidad=$("#cb_entidades option:selected").val();
            var tipo_horario=$("#cb_tipo_horario option:selected").val();
            var programa_estudio=$("#cb_programa_estudio option:selected").val();
		    var detalles=$("#textarea").val();
		    var departamento=$("#cb_departamentos option:selected").val();
		    var vacantes=$("#txt_num_vacantes").val();
		    var sueldo=$("#txt_remuneracion").val();
		    var horario_trabajo=$("#txt_horario_trabajo").val();
		    var fecha_publicacion=$("#txt_fecha_publicacion").val();
		    var fecha_limite=$("#txt_fecha_limite").val();
		  
			$('#bt_registrar').attr("disabled", true);
            //$('#bt_registrar').html('<i class="fa fa-refresh fa-spin"></i>');
            $('#bt_registrar').attr( "value", 'loading..');
			ajax=objetoAjax();
			ajax.open("POST", "procesos.php", true);
			ajax.onreadystatechange=function() {		
				if (ajax.readyState==4) 
				{
					if(ajax.responseText==1)
					{ 
					  
				        var mensaje="Convocatoria registrada.";
						notify('top','right','fa fa-check-circle','primary','data-animation-in','data-animation-out',mensaje);						
						$('#bt_registrar').attr("disabled", false);
                        $('#bt_registrar').attr( "value", 'Registrar' );
                        $("#txt_titulo").val("");
                        $("#textarea").val("");
                        $("#txt_remuneracion").val("");
                        $("#txt_num_vacantes").val("");
                        $("#txt_horario_trabajo").val("");
                        			
					}
					else
					{
						var mensaje=" Error: 00036";
						notify('top','right','fa fa-times-circle','danger','data-animation-in','data-animation-out',mensaje);
						$('#bt_registrar').attr("disabled", false);
                        $('#bt_registrar').attr( "value", 'Registrar' );
					}	
			     
				}
              
			}
			ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			ajax.send("opcion="+op+"&titulo="+titulo+"&entidad="+entidad+"&tipo_horario="+tipo_horario+"&programa_estudio="+programa_estudio+"&detalles="+detalles+"&departamento="+departamento+"&vacantes="+vacantes+"&sueldo="+sueldo+"&horario_trabajo="+horario_trabajo+"&fecha_publicacion="+fecha_publicacion+"&fecha_limite="+fecha_limite)						
}


function registrarEntidad()
{		
            var op=40;
            var ruc=$("#txt_ruc").val();
		    var razon_social=$("#txt_razon_social").val();
		    var representante=$("#txt_representante").val();
		    var domicilio=$("#txt_domicilio").val();
		    var telefono=$("#txt_telefono").val();
		    var email=$("#txt_email").val(); 
			var tipo_entidad=$("#cb_tipo_entidad option:selected").val();
			$('#bt_registrar').attr("disabled", true);
            //$('#bt_registrar').html('<i class="fa fa-refresh fa-spin"></i>');
            $('#bt_registrar').attr( "value", 'loading...');
			ajax=objetoAjax();
			ajax.open("POST", "procesos.php", true);
			ajax.onreadystatechange=function() {		
				if (ajax.readyState==4) 
				{
					if(ajax.responseText==1)
					{ 
					  /*	setTimeout(function() { 
				        var mensaje="Bolsa Laboral registrado.";
						notify('top','right','fa fa-check-circle','primary','data-animation-in','data-animation-out',mensaje);							
   						 }, 2000);*/
				        var mensaje="Entidad registrado.";
						notify('top','right','fa fa-check-circle','primary','data-animation-in','data-animation-out',mensaje);						
						$('#bt_registrar').attr("disabled", false);
                        $('#bt_registrar').attr( "value", 'Registrar');
                        $("#txt_ruc").val("");
                        $("#txt_razon_social").val("");
                        $("#txt_representante").val("");
                        $("#txt_domicilio").val("");
                        $("#txt_telefono").val("");
                        $("#txt_email").val("");			
					}
					else
					{
						var mensaje=" Error: 00037";
						notify('top','right','fa fa-times-circle','danger','data-animation-in','data-animation-out',mensaje);
						$('#bt_registrar').attr("disabled", false);
                        $('#bt_registrar').attr( "value", 'Registrar' );
					}	
			     
				}
              
			}
			ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			ajax.send("opcion="+op+"&ruc="+ruc+"&razon_social="+razon_social+"&representante="+representante+"&domicilio="+domicilio+"&telefono="+telefono+"&email="+email+"&tipo_entidad="+tipo_entidad)						
}

function modificarConvocatoria()
{		
            var op=41;
            var id=$("#txt_id").val();
            var titulo=$("#txt_titulo").val();
            var entidad=$("#cb_entidades option:selected").val();
            var tipo_horario=$("#cb_tipo_horario option:selected").val();
            var programa_estudio=$("#cb_programa_estudio option:selected").val();
		    var detalles=$("#textarea").val();
		    var departamento=$("#cb_departamentos option:selected").val();
		    var vacantes=$("#txt_num_vacantes").val();
		    var sueldo=$("#txt_remuneracion").val();
		    var horario_trabajo=$("#txt_horario_trabajo").val();
		    var fecha_publicacion=$("#txt_fecha_publicacion").val();
		    var fecha_limite=$("#txt_fecha_limite").val();
		   			
			$('#bt_actualizar').attr("disabled", true);
            //$('#bt_registrar').html('<i class="fa fa-refresh fa-spin"></i>');
            $('#bt_actualizar').attr( "value", 'loading...');
			ajax=objetoAjax();
			ajax.open("POST", "procesos.php", true);
			ajax.onreadystatechange=function() {		
				if (ajax.readyState==4) 
				{
					if(ajax.responseText==1)
					{ 
				        var mensaje="Convocatoria actualizada.";
						notify('top','right','fa fa-check-circle','primary','data-animation-in','data-animation-out',mensaje);						
						$('#bt_actualizar').attr("disabled", false);
                        $('#bt_actualizar').attr( "value", 'Actualizar' );
                        $("#txt_titulo").val("");
                        $("#textarea").val("");
                        $("#txt_remuneracion").val("");
                        $("#txt_num_vacantes").val("");
                        $("#txt_horario_trabajo").val("");   			
					}
					else
					{
						var mensaje=" Error: 00036";
						notify('top','right','fa fa-times-circle','danger','data-animation-in','data-animation-out',mensaje);
						$('#bt_actualizar').attr("disabled", false);
                        $('#bt_actualizar').attr( "value", 'Actualizar' );
					}	
				} 
			}
			ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			ajax.send("opcion="+op+"&id="+id+"&titulo="+titulo+"&entidad="+entidad+"&tipo_horario="+tipo_horario+"&programa_estudio="+programa_estudio+"&detalles="+detalles+"&departamento="+departamento+"&vacantes="+vacantes+"&sueldo="+sueldo+"&horario_trabajo="+horario_trabajo+"&fecha_publicacion="+fecha_publicacion+"&fecha_limite="+fecha_limite)						
}

function evaluarPostulacion()
{		
            var op=42;
            var id=$("#txt_id").val();
            var estado=$("#cb_estado_postulacion option:selected").val();
            var detalle_eval=$("#txt_detallar").val();	
			$('#bt_evaluar').attr("disabled", true);
            //$('#bt_registrar').html('<i class="fa fa-refresh fa-spin"></i>');
           // $('#bt_evaluar').attr( "value", 'loading...');
			ajax=objetoAjax();
			ajax.open("POST", "procesos.php", true);
			ajax.onreadystatechange=function() {		
				if (ajax.readyState==4) 
				{
					if(ajax.responseText==1)
					{ 
				        var mensaje="Postulaci&#243;n Atendida.";
						notify('top','right','fa fa-check-circle','primary','data-animation-in','data-animation-out',mensaje);						
						$('#bt_evaluar').attr("disabled", false);
                       // $('#bt_evaluar').attr( "value", 'Evaluar' );   			
					}
					else
					{
						var mensaje="Error: Evaluaci&#243;n denegada";
						notify('top','right','fa fa-times-circle','danger','data-animation-in','data-animation-out',mensaje);
						$('#bt_evaluar').attr("disabled", false);
                        //$('#bt_evaluar').attr( "value", 'Evaluar' );
					}	
				} 
			}
			ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			ajax.send("opcion="+op+"&id="+id+"&estado="+estado+"&detalle_eval="+detalle_eval)						
}
function FinalizarConvocatoria()
{		
            var op=43;
            var id=$("#txt_id").val();
			$('#bt_finalizar').attr("disabled", true);
            //$('#bt_registrar').html('<i class="fa fa-refresh fa-spin"></i>');
            $('#bt_finalizar').attr( "value", 'loading...');
			ajax=objetoAjax();
			ajax.open("POST", "procesos.php", true);
			ajax.onreadystatechange=function() {		
				if (ajax.readyState==4) 
				{
					if(ajax.responseText==1)
					{ 
				        var mensaje="Convocatoria finalizada.";
						notify('top','right','fa fa-check-circle','primary','data-animation-in','data-animation-out',mensaje);						
						
                        $('#bt_finalizar').attr( "value", 'Finalizar Convocatoria' );   			
					}
					else
					{
						var mensaje="Error: acci&#243;n denegada";
						notify('top','right','fa fa-times-circle','danger','data-animation-in','data-animation-out',mensaje);
						$('#bt_finalizar').attr("disabled", false);
                        $('#bt_finalizar').attr( "value", 'Finalizar Convocatoria' );
					}	
				} 
			}
			ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			ajax.send("opcion="+op+"&id="+id)						
}
function HabilitarConvocatoria()
{		
            var op=44;
            var id=$("#txt_id").val();
			$('#bt_habilitar').attr("disabled", true);
            //$('#bt_registrar').html('<i class="fa fa-refresh fa-spin"></i>');
            $('#bt_habilitar').attr( "value", 'loading...');
			ajax=objetoAjax();
			ajax.open("POST", "procesos.php", true);
			ajax.onreadystatechange=function() {		
				if (ajax.readyState==4) 
				{
					if(ajax.responseText==1)
					{ 
				        var mensaje="Convocatoria Habilitada.";
						notify('top','right','fa fa-check-circle','primary','data-animation-in','data-animation-out',mensaje);						
						
                        $('#bt_habilitar').attr( "value", 'Habilitar Convocatoria');   			
					}
					else
					{
						var mensaje="Error: acci&#243;n denegada";
						notify('top','right','fa fa-times-circle','danger','data-animation-in','data-animation-out',mensaje);
						$('#bt_habilitar').attr("disabled", false);
                        $('#bt_habilitar').attr( "value", 'Habilitar Convocatoria' );
					}	
				} 
			}
			ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			ajax.send("opcion="+op+"&id="+id)						
}

function listarPostulacionFecha()
{
	divResultado =document.getElementById('DivResultado');
	var fecha_inicio= $("#txt_inicio").val();
	var fecha_final= $("#txt_final").val();

	 var op=45;
		ajax=objetoAjax();
		ajax.open("POST", "procesos.php", true);
		$('#bt_consultar').attr("disabled", true);
		ajax.onreadystatechange=function() {		
			if (ajax.readyState==4) 
			{
				divResultado.innerHTML=ajax.responseText;
				$('#bt_consultar').attr("disabled", false);			     	
			}
			
		}
		ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		ajax.send("opcion="+op+"&fecha_inicio="+fecha_inicio+"&fecha_final="+fecha_final)
}
function listarPostulacionProgramaEstudio()
{
	divResultado =document.getElementById('DivResultado');
	var programa=$("#cb_programa_estudio option:selected").val();
	
	 var op=46;
		ajax=objetoAjax();
		ajax.open("POST", "procesos.php", true);
		$('#bt_consultar').attr("disabled", true);
		ajax.onreadystatechange=function() {		
			if (ajax.readyState==4) 
			{
				divResultado.innerHTML=ajax.responseText;
				$('#bt_consultar').attr("disabled", false);			     	
			}
			
		}
		ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		ajax.send("opcion="+op+"&programa="+programa)
}

function actualizarEntidad()
{		
            var op=47;
            var id=$("#txt_id").val();
            var ruc=$("#txt_ruc").val();
		    var razon_social=$("#txt_razon_social").val();
		    var representante=$("#txt_representante").val();
		    var domicilio=$("#txt_domicilio").val();
		    var telefono=$("#txt_telefono").val();
		    var email=$("#txt_email").val(); 
			var tipo_entidad=$("#cb_tipo_entidad option:selected").val();
			$('#bt_actualizar').attr("disabled", true);
            //$('#bt_registrar').html('<i class="fa fa-refresh fa-spin"></i>');
            $('#bt_actualizar').attr( "value", 'loading...');
			ajax=objetoAjax();
			ajax.open("POST", "procesos.php", true);
			ajax.onreadystatechange=function() {		
				if (ajax.readyState==4) 
				{
					if(ajax.responseText==1)
					{ 
				        var mensaje="Entidad actualizado.";
						notify('top','right','fa fa-check-circle','primary','data-animation-in','data-animation-out',mensaje);						
						$('#bt_actualizar').attr("disabled", false);
                        $('#bt_actualizar').attr( "value", 'Actualizar');  			
					}
					else
					{
						var mensaje=" Error: 00047";
						notify('top','right','fa fa-times-circle','danger','data-animation-in','data-animation-out',mensaje);
						$('#bt_actualizar').attr("disabled", false);
                        $('#bt_actualizar').attr( "value", 'Actualizar' );
					}	
			     
				}
              
			}
			ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			ajax.send("opcion="+op+"&ruc="+ruc+"&razon_social="+razon_social+"&representante="+representante+"&domicilio="+domicilio+"&telefono="+telefono+"&email="+email+"&tipo_entidad="+tipo_entidad+"&id="+id)						
}

function eliminarEntidad()
{		
            var op=48;
            var id=$("#txt_id").val();
            
			$('#bt_eliminar').attr("disabled", true);
            //$('#bt_registrar').html('<i class="fa fa-refresh fa-spin"></i>');
            $('#bt_eliminar').attr( "value", 'loading...');
			ajax=objetoAjax();
			ajax.open("POST", "procesos.php", true);
			ajax.onreadystatechange=function() {		
				if (ajax.readyState==4) 
				{
					if(ajax.responseText==1)
					{ 
				        var mensaje="Entidad eliminada.";
						notify('top','right','fa fa-check-circle','primary','data-animation-in','data-animation-out',mensaje);						
						
                        $('#bt_eliminar').attr( "value", 'Eliminar');  			
					}
					else
					{
						var mensaje=" Error: 00048";
						notify('top','right','fa fa-times-circle','danger','data-animation-in','data-animation-out',mensaje);
						$('#bt_eliminar').attr("disabled", false);
                        $('#bt_eliminar').attr( "value", 'Eliminar' );
					}	
			     
				}
              
			}
			ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			ajax.send("opcion="+op+"&id="+id)						
}

function actualizarPerfilEgresado()
{		
            var op=49;
            var id=$("#txt_id").val();
            var dni=$("#txt_dni").val();
            var apellidos=$("#txt_apellidos").val();
            var nombre=$("#txt_nombres").val();
            var celular=$("#txt_celular").val();
		    var email=$("#txt_email").val();
		    var domicilio=$("#txt_domicilio").val();
            
			$('#bt_actualizar').attr("disabled", true);
			ajax=objetoAjax();
			ajax.open("POST", "procesos.php", true);
			ajax.onreadystatechange=function() {		
				if (ajax.readyState==4) 
				{
					if(ajax.responseText==1)
					{ 
				        var mensaje="Informaci&#243;n actualizada.";
						notify('top','right','fa fa-check-circle','primary','data-animation-in','data-animation-out',mensaje);						
						$('#bt_actualizar').attr("disabled", false);     			
					}
					else
					{
						var mensaje=" Error: 00049 "+ajax.responseText;
						notify('top','right','fa fa-times-circle','danger','data-animation-in','data-animation-out',mensaje);
						$('#bt_actualizar').attr("disabled", false);   
					}	
			     
				}
              
			}
			ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			ajax.send("opcion="+op+"&celular="+celular+"&email="+email+"&domicilio="+domicilio+"&id="+id+"&dni="+dni+"&apellidos="+apellidos+"&nombre="+nombre)						
}

function registrarEgresado()
{     
	  var op=50;
            var dni=$("#txt_dni").val();
		    var nombre=$("#txt_nombres").val();
		    var apellidos=$("#txt_apellidos").val();
		    var celular=$("#txt_celular").val(); 
			var programa_estudio=$("#cb_programa_estudio option:selected").val();
            var anio_ingreso=$("#txt_anio_ingreso").val(); 
			$('#bt_registrar').attr("disabled", true);
            //$('#bt_registrar').html('<i class="fa fa-refresh fa-spin"></i>');
            $('#bt_registrar').attr( "value", 'loading...');
			ajax=objetoAjax();
			ajax.open("POST", "procesos.php", true);
			ajax.onreadystatechange=function() {		
				if (ajax.readyState==4) 
				{
					if(ajax.responseText==1)
					{ 
					  
				        var mensaje="Egresado registrado.";
						notify('top','right','fa fa-check-circle','primary','data-animation-in','data-animation-out',mensaje);						
						$('#bt_registrar').attr("disabled", false);
                        $('#bt_registrar').attr( "value", 'Registrar');
                        $("#txt_dni").val("");
                        $("#txt_apellidos").val("");
                        $("#txt_nombres").val("");
                        $("#txt_celular").val("");
                        $("#txt_anio_ingreso").val("");			
					}
					else
					{
						var mensaje=" Error: 00037";
						notify('top','right','fa fa-times-circle','danger','data-animation-in','data-animation-out',mensaje);
						$('#bt_registrar').attr("disabled", false);
                        $('#bt_registrar').attr( "value", 'Registrar' );
					}	
			     
				}
              
			}
			ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			ajax.send("opcion="+op+"&dni="+dni+"&nombre="+nombre+"&apellidos="+apellidos+"&celular="+celular+"&programa_estudio="+programa_estudio+"&anio_ingreso="+anio_ingreso)

}
function registrarProgramaEstudio()
{
	var op=51;
            var programa=$("#txt_programa").val();
		    
			$('#bt_registrar').attr("disabled", true);
            $('#bt_registrar').attr( "value", 'loading...');
			ajax=objetoAjax();
			ajax.open("POST", "procesos.php", true);
			ajax.onreadystatechange=function() {		
				if (ajax.readyState==4) 
				{
					if(ajax.responseText==1)
					{ 
				        var mensaje="Programa de Estudio registrado.";
						notify('top','right','fa fa-check-circle','primary','data-animation-in','data-animation-out',mensaje);						
						$('#bt_registrar').attr("disabled", false);
                        $('#bt_registrar').attr( "value", 'Registrar');
                        $("#txt_programa").val("");
                        
					}
					else
					{
						var mensaje=" Error: 00038";
						notify('top','right','fa fa-times-circle','danger','data-animation-in','data-animation-out',mensaje);
						$('#bt_registrar').attr("disabled", false);
                        $('#bt_registrar').attr( "value", 'Registrar' );
					}	
			     
				}
              
			}
			ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			ajax.send("opcion="+op+"&programa="+programa)						

}
function actualizarProgramaEstudio()
{
	var op=52;
            var id=$("#txt_id").val();
            var programa=$("#txt_programa").val();
		    
			$('#bt_actualizar').attr("disabled", true);
            //$('#bt_registrar').html('<i class="fa fa-refresh fa-spin"></i>');
            $('#bt_actualizar').attr( "value", 'loading...');
			ajax=objetoAjax();
			ajax.open("POST", "procesos.php", true);
			ajax.onreadystatechange=function() {		
				if (ajax.readyState==4) 
				{
					if(ajax.responseText==1)
					{ 
				        var mensaje="Programa de Estudio actualizado.";
						notify('top','right','fa fa-check-circle','primary','data-animation-in','data-animation-out',mensaje);						
						$('#bt_actualizar').attr("disabled", false);
                        $('#bt_actualizar').attr( "value", 'Actualizar');  			
					}
					else
					{
						var mensaje=" Error: 00048";
						notify('top','right','fa fa-times-circle','danger','data-animation-in','data-animation-out',mensaje);
						$('#bt_actualizar').attr("disabled", false);
                        $('#bt_actualizar').attr( "value", 'Actualizar' );
					}	
			     
				}
              
			}
			ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			ajax.send("opcion="+op+"&programa="+programa+"&id="+id)						
}

function eliminarProgramaEstudio()
{
	var op=53;
            var id=$("#txt_id").val();
			$('#bt_eliminar').attr("disabled", true);
            $('#bt_eliminar').attr( "value", 'loading...');
			ajax=objetoAjax();
			ajax.open("POST", "procesos.php", true);
			ajax.onreadystatechange=function() {		
				if (ajax.readyState==4) 
				{
					if(ajax.responseText==1)
					{ 
				        var mensaje="Programa de Estudio eliminado.";
						notify('top','right','fa fa-check-circle','primary','data-animation-in','data-animation-out',mensaje);						
                        $('#bt_eliminar').attr( "value", 'Eliminar');  			
					}
					else
					{
						var mensaje=" Error: 00049";
						notify('top','right','fa fa-times-circle','danger','data-animation-in','data-animation-out',mensaje);
						$('#bt_eliminar').attr("disabled", false);
                        $('#bt_eliminar').attr( "value", 'Eliminar' );
					}	
			     
				}
              
			}
			ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			ajax.send("opcion="+op+"&id="+id)
}
function registrarDocente()
{
	var op=54;
            var dni=$("#txt_dni").val();
		    var nombre=$("#txt_nombres").val();
		    var apellidos=$("#txt_apellidos").val();
		    var celular=$("#txt_celular").val(); 
            var email=$("#txt_email").val(); 
			$('#bt_registrar').attr("disabled", true);
            //$('#bt_registrar').html('<i class="fa fa-refresh fa-spin"></i>');
            $('#bt_registrar').attr( "value", 'loading...');
			ajax=objetoAjax();
			ajax.open("POST", "procesos.php", true);
			ajax.onreadystatechange=function() {		
				if (ajax.readyState==4) 
				{
					if(ajax.responseText==1)
					{ 
					  
				        var mensaje="Egresado registrado.";
						notify('top','right','fa fa-check-circle','primary','data-animation-in','data-animation-out',mensaje);						
						$('#bt_registrar').attr("disabled", false);
                        $('#bt_registrar').attr( "value", 'Registrar');
                        $("#txt_dni").val("");
                        $("#txt_apellidos").val("");
                        $("#txt_nombres").val("");
                        $("#txt_celular").val("");
                        $("#txt_email").val("");			
					}
					else
					{
						var mensaje=" Error: 00037";
						notify('top','right','fa fa-times-circle','danger','data-animation-in','data-animation-out',mensaje);
						$('#bt_registrar').attr("disabled", false);
                        $('#bt_registrar').attr( "value", 'Registrar' );
					}	
			     
				}
              
			}
			ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			ajax.send("opcion="+op+"&dni="+dni+"&nombre="+nombre+"&apellidos="+apellidos+"&celular="+celular+"&email="+email)
}
	
function notify(from, align, icon, type, animIn, animOut,mensaje){
        $.growl({
            icon: icon,
            title: ' ',
            message: mensaje,
            url: ''
        },{
            element: 'body',
            type: type,
            allow_dismiss: true,
            placement: {
                from: from,
                align: align
            },
            offset: {
                x: 30,
                y: 30
            },
            spacing: 10,
            z_index: 999999,
            delay: 2500,
            timer: 1000,
            url_target: '_blank',
            mouse_over: false,
            animate: {
                enter: animIn,
                exit: animOut
            },
            icon_type: 'class',
            template: '<div data-growl="container" class="alert" role="alert">' +
            '<button type="button" class="close" data-growl="dismiss">' +
            '<span aria-hidden="true">&times;</span>' +
            '<span class="sr-only">Close</span>' +
            '</button>' +
            '<span data-growl="icon"></span>' +
            '<span data-growl="title"></span>' +
            '<span data-growl="message"></span>' +
            '<a href="#" data-growl="url"></a>' +
            '</div>'
        });
    }